## org.eclipse.wst.ws.service.policy
Interface IStateEnumerationItem

    public interface IStateEnumerationItem

This interface is used to describe a state enumeration item that was defined by an enumeration in plugin.xml meta data.

Method Summary
`java.lang.String` `getId()` Returns the ID of this state enumeration item.
`java.lang.String` `getLongName()` Returns the long name of this state enumeration item.
`java.lang.String` `getShortName()` Returns the short name of this state enumeration item.
`boolean` `isDefault()` Returns whether this is the default item or not.

Method Detail

### getId

    java.lang.String getId()

  Returns the ID of this state enumeration item.

  Returns:
    returns the ID of this state enumeration item.

### getShortName

    java.lang.String getShortName()

  Returns the short name of this state enumeration item.

  Returns:
    returns the short name of this state enumeration item.

### getLongName

    java.lang.String getLongName()

  Returns the long name of this state enumeration item.

  Returns:
    returns the long name of this state enumeration item.

### isDefault

    boolean isDefault()

  Returns whether this is the default item or not.

  Returns:
    returns true if this enumeration item is the default for this enumeration.